scala.actors

# UncaughtException

###
Related Doc: package actors

#### case class UncaughtException(actor: InternalActor, message: Option[Any], sender: Option[OutputChannel[Any]], thread: Thread, cause: Throwable) extends Exception with Product with Serializable

The exit reason when an actor fails to catch an exception.

actor

  the actor that threw the exception

message

  the message the actor was processing, or None if no message (e.g. on initial startup)

sender

  the sender of the most recent message

thread

  the thread on which the actor was running

cause

  the uncaught exception

Annotations
  @deprecated
Deprecated

  (Since version 2.11.0) Use the akka.actor package instead. For migration from the scala.actors package refer to the Actors Migration Guide.

Source
  UncaughtException.scala

Linear Supertypes
Serializable, Product, Equals, java.lang.Exception, java.lang.Throwable, java.io.Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. UncaughtException
2. Serializable
3. Product
4. Equals
5. Exception
6. Throwable
7. Serializable
8. AnyRef
9. Any

Implicitly

1. by RichException
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new UncaughtException(actor: InternalActor, message: Option[Any], sender: Option[OutputChannel[Any]], thread: Thread, cause: Throwable)

   actor

     the actor that threw the exception

   message

     the message the actor was processing, or None if no message (e.g. on initial startup)

   sender

     the sender of the most recent message

   thread

     the thread on which the actor was running

   cause

     the uncaught exception

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from UncaughtException to any2stringadd[UncaughtException] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (UncaughtException, B)

   Implicit information
     This member is added by an implicit conversion from UncaughtException to ArrowAssoc[UncaughtException] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### val actor: InternalActor

   the actor that threw the exception

7. #### final def addSuppressed(arg0: java.lang.Throwable): Unit

   Definition Classes
     Throwable

8. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown

     `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

9. #### val cause: Throwable

   the uncaught exception

10. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

11. #### def ensuring(cond: (UncaughtException) ⇒ Boolean, msg: ⇒ Any): UncaughtException

    Implicit information
      This member is added by an implicit conversion from UncaughtException to Ensuring[UncaughtException] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (UncaughtException) ⇒ Boolean): UncaughtException

    Implicit information
      This member is added by an implicit conversion from UncaughtException to Ensuring[UncaughtException] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): UncaughtException

    Implicit information
      This member is added by an implicit conversion from UncaughtException to Ensuring[UncaughtException] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): UncaughtException

    Implicit information
      This member is added by an implicit conversion from UncaughtException to Ensuring[UncaughtException] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

16. #### def fillInStackTrace(): java.lang.Throwable

    Definition Classes
      Throwable

17. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

18. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from UncaughtException to StringFormat[UncaughtException] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### def getCause(): java.lang.Throwable

    Definition Classes
      Throwable

20. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

21. #### def getLocalizedMessage(): String

    Definition Classes
      Throwable

22. #### def getMessage(): String

    Definition Classes
      Throwable

23. #### def getStackTrace(): Array[StackTraceElement]

    Definition Classes
      Throwable

24. #### final def getSuppressed(): Array[java.lang.Throwable]

    Definition Classes
      Throwable

25. #### def initCause(arg0: java.lang.Throwable): java.lang.Throwable

    Definition Classes
      Throwable

26. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

27. #### val message: Option[Any]

    the message the actor was processing, or None if no message (e.g.

    the message the actor was processing, or None if no message (e.g. on initial startup)

28. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

29. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

30. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

31. #### def printStackTrace(arg0: PrintWriter): Unit

    Definition Classes
      Throwable

32. #### def printStackTrace(arg0: PrintStream): Unit

    Definition Classes
      Throwable

33. #### def printStackTrace(): Unit

    Definition Classes
      Throwable

34. #### val sender: Option[OutputChannel[Any]]

    the sender of the most recent message

35. #### def setStackTrace(arg0: Array[StackTraceElement]): Unit

    Definition Classes
      Throwable

36. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

37. #### val thread: Thread

    the thread on which the actor was running

38. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      UncaughtException → Throwable → AnyRef → Any

39. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### def →[B](y: B): (UncaughtException, B)

    Implicit information
      This member is added by an implicit conversion from UncaughtException to ArrowAssoc[UncaughtException] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Deprecated Value Members

1. #### def getStackTraceString: String

   Implicit information
     This member is added by an implicit conversion from UncaughtException to RichException performed by method RichException in scala.Predef.
   Definition Classes
     RichException
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) Use Throwable#getStackTrace

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from java.lang.Exception

### Inherited from java.lang.Throwable

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion RichException from UncaughtException to RichException

### Inherited by implicit conversion any2stringadd from UncaughtException to any2stringadd[UncaughtException]

### Inherited by implicit conversion StringFormat from UncaughtException to StringFormat[UncaughtException]

### Inherited by implicit conversion Ensuring from UncaughtException to Ensuring[UncaughtException]

### Inherited by implicit conversion ArrowAssoc from UncaughtException to ArrowAssoc[UncaughtException]

### Ungrouped